unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ExtCtrls, MyGaugePanel;

type

  { TForm1 }

  TForm1 = class(TForm)
    Label1: TLabel;
    GreenPanel: TMyGaugePanel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    TestPanel: TPanel;
    RedPanel: TMyGaugePanel;
    BluePanel: TMyGaugePanel;
    procedure FormCreate(Sender: TObject);
    procedure PanelChange(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  PanelChange(RedPanel);
end;

procedure TForm1.PanelChange(Sender: TObject);
begin
  if (Sender is TMyGaugePanel) and (TestPanel <> nil) then begin
//    if (Sender is TMyGaugePanel) then begin
    TestPanel.Color := RGBToColor(
        byte(RedPanel.GaugeValue),
        byte(GreenPanel.GaugeValue),
        byte(BluePanel.GaugeValue));
    Label1.Caption := IntToStr(RedPanel.GaugePosition);
    Label2.Caption := IntToStr(RedPanel.GaugeValue);
    Label3.Caption := IntToStr(GreenPanel.GaugePosition);
    Label4.Caption := IntToStr(GreenPanel.GaugeValue);
    Label5.Caption := IntToStr(BluePanel.GaugePosition);
    Label6.Caption := IntToStr(BluePanel.GaugeValue);
  end;
end;

end.

